{
  "name": "parse-server",
  "version": "6.3.0",
  "description": "An express module providing a Parse-compatible API server",
  "main": "lib/index.js",
  "repository": {
    "type": "git",
    "url": "https://github.com/parse-community/parse-server"
  },
  "files": [
    "bin/",
    "lib/",
    "public_html/",
    "views/",
    "LICENSE",
    "NOTICE",
    "postinstall.js",
    "README.md"
  ],
  "license": "Apache-2.0",
  "dependencies": {
    "@babel/eslint-parser": "7.21.8",
    "@graphql-tools/merge": "8.4.1",
    "@graphql-tools/schema": "9.0.4",
    "@graphql-tools/utils": "8.12.0",
    "@graphql-yoga/node": "2.6.0",
    "@parse/fs-files-adapter": "1.2.2",
    "@parse/push-adapter": "4.1.3",
    "bcryptjs": "2.4.3",
    "body-parser": "1.20.2",
    "commander": "10.0.1",
    "cors": "2.8.5",
    "deepcopy": "2.1.0",
    "express": "4.18.2",
    "express-rate-limit": "6.7.0",
    "follow-redirects": "1.15.2",
    "graphql": "16.6.0",
    "graphql-list-fields": "2.0.2",
    "graphql-relay": "0.10.0",
    "graphql-tag": "2.12.6",
    "intersect": "1.0.1",
    "ip-range-check": "0.2.0",
    "jsonwebtoken": "9.0.0",
    "jwks-rsa": "2.1.5",
    "ldapjs": "2.3.3",
    "lodash": "4.17.21",
    "lru-cache": "9.1.1",
    "mime": "3.0.0",
    "mongodb": "4.10.0",
    "mustache": "4.2.0",
    "parse": "4.1.0",
    "path-to-regexp": "6.2.1",
    "pg-monitor": "2.0.0",
    "pg-promise": "11.5.0",
    "pluralize": "8.0.0",
    "rate-limit-redis": "3.0.2",
    "redis": "4.6.6",
    "semver": "7.5.2",
    "subscriptions-transport-ws": "0.11.0",
    "tv4": "1.3.0",
    "uuid": "9.0.0",
    "winston": "3.8.2",
    "winston-daily-rotate-file": "4.7.1",
    "ws": "8.13.0"
  },
  "devDependencies": {
    "@actions/core": "1.9.1",
    "@apollo/client": "3.6.1",
    "@babel/cli": "7.10.0",
    "@babel/core": "7.20.2",
    "@babel/plugin-proposal-object-rest-spread": "7.10.0",
    "@babel/plugin-transform-flow-strip-types": "7.9.0",
    "@babel/preset-env": "7.10.0",
    "@saithodev/semantic-release-backmerge": "2.1.2",
    "@semantic-release/changelog": "5.0.1",
    "@semantic-release/commit-analyzer": "8.0.1",
    "@semantic-release/git": "9.0.0",
    "@semantic-release/github": "7.2.3",
    "@semantic-release/npm": "7.1.3",
    "@semantic-release/release-notes-generator": "9.0.3",
    "all-node-versions": "11.3.0",
    "apollo-upload-client": "17.0.0",
    "bcrypt-nodejs": "0.0.3",
    "clean-jsdoc-theme": "4.2.7",
    "cross-env": "7.0.2",
    "deep-diff": "1.0.2",
    "eslint": "8.26.0",
    "eslint-plugin-flowtype": "8.0.3",
    "flow-bin": "0.119.1",
    "form-data": "3.0.0",
    "graphql-tag": "2.12.6",
    "husky": "4.3.8",
    "jasmine": "3.5.0",
    "jasmine-spec-reporter": "7.0.0",
    "jsdoc": "3.6.3",
    "jsdoc-babel": "0.5.0",
    "lint-staged": "10.2.3",
    "madge": "5.0.1",
    "mock-files-adapter": "file:spec/dependencies/mock-files-adapter",
    "mock-mail-adapter": "file:spec/dependencies/mock-mail-adapter",
    "mongodb-runner": "4.8.1",
    "mongodb-version-list": "1.0.0",
    "node-abort-controller": "3.0.1",
    "node-fetch": "3.2.10",
    "nyc": "15.1.0",
    "prettier": "2.0.5",
    "semantic-release": "17.4.6",
    "yaml": "1.10.0"
  },
  "scripts": {
    "ci:check": "node ./ci/ciCheck.js",
    "ci:checkNodeEngine": "node ./ci/nodeEngineCheck.js",
    "ci:definitionsCheck": "node ./ci/definitionsCheck.js",
    "definitions": "node ./resources/buildConfigDefinitions.js && prettier --write 'src/Options/*.js'",
    "docs": "jsdoc -c ./jsdoc-conf.json",
    "lint": "flow && eslint --cache ./",
    "lint-fix": "eslint --fix --cache ./",
    "build": "babel src/ -d lib/ --copy-files",
    "watch": "babel --watch src/ -d lib/ --copy-files",
    "test:mongodb:runnerstart": "cross-env MONGODB_VERSION=${MONGODB_VERSION:=$npm_config_dbversion} MONGODB_TOPOLOGY=${MONGODB_TOPOLOGY:=standalone} mongodb-runner start",
    "test:mongodb:testonly": "cross-env MONGODB_VERSION=${MONGODB_VERSION:=$npm_config_dbversion} MONGODB_TOPOLOGY=${MONGODB_TOPOLOGY:=standalone} TESTING=1 jasmine",
    "test:mongodb": "npm run test:mongodb:runnerstart --dbversion=$npm_config_dbversion && npm run test:mongodb:testonly --dbversion=$npm_config_dbversion",
    "test:mongodb:4.2.19": "npm run test:mongodb --dbversion=4.2.19",
    "test:mongodb:4.4.13": "npm run test:mongodb --dbversion=4.4.13",
    "test:mongodb:5.3.2": "npm run test:mongodb --dbversion=5.3.2",
    "test:mongodb:6.0.2": "npm run test:mongodb --dbversion=6.0.2",
    "posttest:mongodb": "mongodb-runner stop",
    "pretest": "cross-env MONGODB_VERSION=${MONGODB_VERSION:=5.3.2} MONGODB_TOPOLOGY=${MONGODB_TOPOLOGY:=standalone} mongodb-runner start",
    "testonly": "cross-env MONGODB_VERSION=${MONGODB_VERSION:=5.3.2} MONGODB_TOPOLOGY=${MONGODB_TOPOLOGY:=standalone} TESTING=1 jasmine",
    "test": "npm run testonly",
    "posttest": "cross-env MONGODB_VERSION=${MONGODB_VERSION:=5.3.2} MONGODB_TOPOLOGY=${MONGODB_TOPOLOGY:=standalone} mongodb-runner stop",
    "coverage": "cross-env MONGODB_VERSION=${MONGODB_VERSION:=5.3.2} MONGODB_TOPOLOGY=${MONGODB_TOPOLOGY:=standalone} TESTING=1 nyc jasmine",
    "start": "node ./bin/parse-server",
    "prettier": "prettier --write {src,spec}/{**/*,*}.js",
    "prepare": "npm run build",
    "postinstall": "node -p 'require(\"./postinstall.js\")()'",
    "madge:circular": "node_modules/.bin/madge ./src --circular"
  },
  "engines": {
    "node": ">=14.21.0 <17 || >=18 <19"
  },
  "bin": {
    "parse-server": "bin/parse-server"
  },
  "optionalDependencies": {
    "@node-rs/bcrypt": "1.1.0"
  },
  "collective": {
    "type": "opencollective",
    "url": "https://opencollective.com/parse-server",
    "logo": "https://opencollective.com/parse-server/logo.txt?reverse=true&variant=binary"
  },
  "funding": {
    "type": "opencollective",
    "url": "https://opencollective.com/parse-server"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "{src,spec}/{**/*,*}.js": [
      "prettier --write",
      "eslint --fix --cache",
      "git add"
    ]
  }
}
